/* Schreibt Text auf ein angeschlossenes LCD mit Hilfe der eigenen Include-Datei
 *
 * Demonstration verschiedener Zahlenkonvertierungsmoeglichkeiten
 *
 */

#include "lcd_tools.h"
#include <stdlib.h>		// itoa etc.
 
int main()
{
	char buffer[20];
	
	lcd_ini();
	
	itoa (-12, buffer, 10);	// Dezimal
	lcd_gotopos (1,1);
	lcd_writetext (buffer);
	
	itoa (34, buffer, 16);	// Hexadezimal
	lcd_gotopos (1,10);
	lcd_writetext (buffer);
	
	dtostrf (-12.34, 6, 2, buffer);		// Anzahl Zeichen genau passend
	lcd_gotopos (2,1);
	lcd_writetext (buffer);
	
	dtostrf (-12.34, 2, 2, buffer);		// Anzahl Zeichen zu kurz
	lcd_gotopos (2,10);
	lcd_writetext (buffer);
	
	dtostrf (-12.34, 8, 3, buffer);		// Anzahl Zeichen grer
	lcd_gotopos (3,1);
	lcd_writetext (buffer);
	
	dtostrf (-12.34, 8, 3, buffer);		// Anzahl Zeichen grer
	buffer[8-3-1]=',';
	lcd_gotopos (3,10);
	lcd_writetext (buffer);
		
	while(1);
}



