/* Lt eine LED an PD0 endlos blinken (ATmega8)
 *
 * 11/2007 Florian Schffer, http://www.blafusel.de
 *
 */

#include <avr/io.h>
#include <util/delay.h>		// definiert _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
  for(uint16_t t=0; t<=ms; t++)
	_delay_ms(1); 
}

void main()
{
	DDRD = 0xFF;							// PORTD als Ausgang
	while (1)
	{
		PORTD = PIND ^ ( 1 << PD0 );		// LED an PD0 umschalten
		delay_ms (250);
	}	

}
