/* Laesst eine LED an PB0 und PB7 im wechsel endlos blinken
 *
 */

#include <avr/io.h>
#include <util/delay.h>		// _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
	for(uint16_t t=0; t<=ms; t++)
		_delay_ms(1); 
}

int main()
{
	DDRB = 0xFF;				// PORTB als Ausgang
	while (1)
	{
		PORTB = 0b00000001;		// LED an PB0 ein
		delay_ms (250);
		PORTB = 0x80;			// LED an PB7 ein
		delay_ms (250);
	}	
	return 0;
}
