/* Demonstriert den 8-Bit Timer 0
 *
 * Laesst LED an OC0 blinken
 */

#include <avr/io.h>

int main()
{
	DDRB |= (1 << PB3);					// PORT B0 als Ausgang

	OCR0 = 0x80;							// Vergleichswert 128 einstellen
	TCCR0 |= (1 << COM00);					// Toggle OC0 bei Vergleichwert
	TCCR0 |= (1 << CS00) | (1 << CS02);		// Prescaler: 1/1024 (CS1=0 per default)

	while (1);		// endlos
	return 0;
}
