/* Demonstriert den Watchdog
 *
 * LEDs an Mini-Mega-Board
 */

#include <avr/io.h>
#include <util/delay.h>		// definiert _delay_ms() 

int main()
{
	uint8_t cnt = 127;

	DDRB = 0xFF;			// PORTB als Ausgang

	while (cnt >= 0)		// WHL solange bis cnt < 0
	{
		PORTB = cnt;		// LEDs an PortB Zaehlerstand anzeigen lassen
		_delay_ms (10);
		cnt--;
	}	
	
	PORTB |= (1 << PB7);	// LED an Pin 7 ein (wird nie erreicht)
}
